## org.apache.myfaces.custom.inputsuggestajax
Class InputSuggestAjaxTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.apache.myfaces.taglib.UIComponentTagBase
              org.apache.myfaces.taglib.html.HtmlComponentTagBase
                  org.apache.myfaces.taglib.html.HtmlInputTagBase
                      org.apache.myfaces.taglib.html.HtmlInputTextTagBase
                          org.apache.myfaces.taglib.html.ext.HtmlInputTextTag
                              org.apache.myfaces.custom.inputsuggestajax.InputSuggestAjaxTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

public class InputSuggestAjaxTag
extends org.apache.myfaces.taglib.html.ext.HtmlInputTextTag

Version:
  $Revision: $ $Date: $
Author:
  Gerald Muellan, Martin Marinschek

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`InputSuggestAjaxTag()`

Method Summary
`java.lang.String` `getComponentType()`
`java.lang.String` `getRendererType()`
`void` `release()`
`void` `setLayout(java.lang.String layout)`
`void` `setListId(java.lang.String listId)`
`void` `setListItemStyle(java.lang.String listItemStyle)`
`void` `setListItemStyleClass(java.lang.String listItemStyleClass)`
`void` `setListStyle(java.lang.String listStyle)`
`void` `setListStyleClass(java.lang.String listStyleClass)`
`void` `setMaxSuggestedItems(java.lang.String maxSuggestedItems)`
`void` `setPopupId(java.lang.String popupId)`
`void` `setPopupStyle(java.lang.String popupStyle)`
`void` `setPopupStyleClass(java.lang.String popupStyleClass)`
`protected void` `setProperties(javax.faces.component.UIComponent component)`
`void` `setSuggestedItemsMethod(java.lang.String suggestedItemsMethod)`
`static void` `setSuggestedItemsMethodProperty(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String suggestedItemsMethod)`

Methods inherited from class org.apache.myfaces.taglib.html.ext.HtmlInputTextTag
`setDatafld, setDataformatas, setDatasrc, setDisplayValueOnly, setDisplayValueOnlyStyle, setDisplayValueOnlyStyleClass, setEnabledOnUserRole, setVisibleOnUserRole`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlInputTextTagBase
`setAccesskey, setAlign, setAlt, setDisabled, setMaxlength, setOnblur, setOnchange, setOnfocus, setOnselect, setReadonly, setSize, setTabindex`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlInputTagBase
`setImmediate, setRequired, setValidator, setValueChangeListener`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.apache.myfaces.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setImageLocation, setIntegerProperty, setJavascriptLocation, setStringProperty, setStyleLocation, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InputSuggestAjaxTag

    public InputSuggestAjaxTag()

Method Detail

### getComponentType

    public java.lang.String getComponentType()

### getRendererType

    public java.lang.String getRendererType()

### release

    public void release()

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

### setSuggestedItemsMethodProperty

    public static void setSuggestedItemsMethodProperty(javax.faces.context.FacesContext context,
                                                       javax.faces.component.UIComponent component,
                                                       java.lang.String suggestedItemsMethod)

### setLayout

    public void setLayout(java.lang.String layout)

### setSuggestedItemsMethod

    public void setSuggestedItemsMethod(java.lang.String suggestedItemsMethod)

### setPopupId

    public void setPopupId(java.lang.String popupId)

### setPopupStyleClass

    public void setPopupStyleClass(java.lang.String popupStyleClass)

### setPopupStyle

    public void setPopupStyle(java.lang.String popupStyle)

### setListId

    public void setListId(java.lang.String listId)

### setListStyleClass

    public void setListStyleClass(java.lang.String listStyleClass)

### setListStyle

    public void setListStyle(java.lang.String listStyle)

### setListItemStyleClass

    public void setListItemStyleClass(java.lang.String listItemStyleClass)

### setListItemStyle

    public void setListItemStyle(java.lang.String listItemStyle)

### setMaxSuggestedItems

    public void setMaxSuggestedItems(java.lang.String maxSuggestedItems)